%global namedreltag .Final-redhat-2
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define section free
%define reltag Final-redhat-2
%define brewreltag Final_redhat_2

%define maven_version 1.1.Final-redhat-2

Name:    jboss-weld-1.1-api
Version: 1.1
Release: 6.%{brewreltag}%{?dist}.1
Epoch:   0
License: Apache License, Version 2.0
Summary: Weld APIs
URL:     http://www.seamframework.org/Weld
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.weld-weld-api-build-aggregator-1.1.Final-redhat-2-sources.zip
Source102: weld-api-parent-1.1.Final-redhat-2.pom
Source103: weld-api-1.1.Final-redhat-2-javadoc.jar
Source104: weld-api-1.1.Final-redhat-2.pom
Source105: weld-api-1.1.Final-redhat-2-sources.jar
Source106: weld-api-1.1.Final-redhat-2.jar
Source107: weld-api-bom-1.1.Final-redhat-2.pom
Source108: weld-api-build-aggregator-1.1.Final-redhat-2.pom
Source109: weld-spi-1.1.Final-redhat-2.jar
Source110: weld-spi-1.1.Final-redhat-2-sources.jar
Source111: weld-spi-1.1.Final-redhat-2-javadoc.jar
Source112: weld-spi-1.1.Final-redhat-2.pom
%endif


%if %without mead
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildArch:        noarch

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
%endif

Requires:         jpackage-utils
Requires:         java

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
APIs for Weld, the reference implementation of JSR 299: Contexts and Dependency Injection for Java EE

%if %without mead
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
# Many tests fail
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate
%endif

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
%else
cp -p %{_sourcedir}/weld-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/weld-1.1-api.jar
cp -p %{_sourcedir}/weld-spi-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/weld-1.1-spi.jar
%endif

%if %without mead
# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%else
install -pm 644 %{_sourcedir}/weld-api-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-weld-1.1-api.pom
install -pm 644 %{_sourcedir}/weld-spi-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-weld-1.1-spi.pom
%endif

# DEPMAP
%add_maven_depmap JPP.jboss-weld-1.1-api.pom jboss/weld-1.1-api.jar
%add_maven_depmap JPP.jboss-weld-1.1-spi.pom jboss/weld-1.1-spi.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-6.Final_redhat_2.1
- Rebuild for MD5

* Fri Aug 24 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-5.Final_redhat_2.1
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_2.2
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-4.Final_redhat_1.1
- Rebuild using cache signing

* Thu May  3 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1-4.Final_redhat_1
- Fix release tag

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1-3_redhat_1.1
- Populate java-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.1-3_redhat_1
- Rebuild to use new signing key

* Tue Feb 07 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1-2_redhat_1
- Wrap MEAD build for EAP 6

* Thu Aug 18 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-1_redhat_1
- Patched by vman
- Fix JBoss Specs deps

* Thu Jul 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1-1
- Initial version
